Eclipse Platform Release 3.7

## org.eclipse.jface.dialogs
Class ImageAndMessageArea

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.jface.dialogs.ImageAndMessageArea

All Implemented Interfaces:
  Drawable

Deprecated. As of 3.3, this class is no longer necessary.

    public class ImageAndMessageArea

extends Composite

Instances of this class provide a message area to display a message and an associated image.

This class is not intended to be extended by clients.

Since:
  3.2

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`ImageAndMessageArea(Composite parent, int style)` Deprecated. Constructs a new ImageAndMessageArea with an empty decorated field.

Method Summary
`void` `setBackground(Color bg)` Deprecated. Sets the receiver's background color to the color specified by the argument, or to the default system color for the control if the argument is null.
`void` `setFont(Font font)` Deprecated. Sets the font that the receiver will use to paint textual information to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void` `setImage(Image image)` Deprecated. Adds an image to decorated field to be shown in the message area.
`void` `setText(String text)` Deprecated. Sets the text in the decorated field which will be displayed in the message area.
`void` `setToolTipText(String text)` Deprecated. Sets the receiver's tool tip text to the argument, which may be null indicating that the default tool tip for the control will be shown.

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, checkSubclass, computeSize, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageAndMessageArea

    public ImageAndMessageArea(Composite parent,
                               int style)

  Deprecated.
  Constructs a new ImageAndMessageArea with an empty decorated field. Calls to `setText(String text)` and `setImage(Image image)` are required in order to fill the message area. Also, the instance will be invisible when initially created.

  The style bit `SWT.WRAP` should be used if a larger message area is desired.

  Parameters:
    `parent` - the parent composite
    `style` - the SWT style bits. Using SWT.WRAP will create a larger message area.

Method Detail

### setBackground

    public void setBackground(Color bg)

  Deprecated.
  Description copied from class: `Control`
  Sets the receiver's background color to the color specified by the argument, or to the default system color for the control if the argument is null.

  Note: This operation is a hint and may be overridden by the platform. For example, on Windows the background of a Button cannot be changed.

  Overrides:
    `setBackground` in class `Control`
  Parameters:
    `bg` - the new color (or null)

### setText

    public void setText(String text)

  Deprecated.
  Sets the text in the decorated field which will be displayed in the message area.

  Parameters:
    `text` - the text to be displayed in the message area
  See Also:
    `Text.setText(String string)`

### setImage

    public void setImage(Image image)

  Deprecated.
  Adds an image to decorated field to be shown in the message area.

  Parameters:
    `image` - desired image to be shown in the ImageAndMessageArea

### setFont

    public void setFont(Font font)

  Deprecated.
  Description copied from class: `Control`
  Sets the font that the receiver will use to paint textual information to the font specified by the argument, or to the default font for that kind of control if the argument is null.

  Overrides:
    `setFont` in class `Control`
  Parameters:
    `font` - the new font (or null)

### setToolTipText

    public void setToolTipText(String text)

  Deprecated.
  Description copied from class: `Control`
  Sets the receiver's tool tip text to the argument, which may be null indicating that the default tool tip for the control will be shown. For a control that has a default tool tip, such as the Tree control on Windows, setting the tool tip text to an empty string replaces the default, causing no tool tip text to be shown.

  The mnemonic indicator (character '&') is not displayed in a tool tip. To display a single '&' in the tool tip, the character '&' can be escaped by doubling it in the string.

  Overrides:
    `setToolTipText` in class `Control`
  Parameters:
    `text` - the new tool tip text (or null)

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.